#include <bits/stdc++.h>
#define ll long long
using namespace std;
vector<pair<ll,ll>>V(200010);
vector<pair<pair<ll,ll>,ll>>query(200010);
vector<ll>fenwick(200010);
void bf(ll n,ll m)
{
    for(ll i=0;i<m;i++)
    {
        ll l=query[i].first.first,r=query[i].first.second,x=query[i].second,b=0;
        l--;r--;
        for(ll j=l;j<=r;j++)
        {
            if(V[j].first<=x&&V[j].second>=x) b++;
        }
        cout << b << endl;
    }
}
void f(ll n,ll m)
{

}
int main(int argc, char *argv[])
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,m;
    cin >> n >> m;
    for(ll i=0;i<n;i++)
    {
        cin >> V[i].first >> V[i].second;
    }
    for(ll i=0;i<m;i++)
    {
        cin >> query[i].first.first >> query[i].first.second >> query[i].second;
    }
    if(n<=1000&&m<=1000)
    {
        bf(n,m);
        return 0;
    }
}